Subject: Re: drill press

From: [email-masked] (David Wilson)
Date: Fri, 2 Aug 1996 15:10:26 -0600

>Does anyone know much about a Craftsman drill press?  I'm looking at (besides
>the swage block that everyone has so generously spoken to me about tonight)
>  a small one--8 inch--three speed.  It slows down to 620.  Has a 1/3 horse
>motor.  Is this enough guts for me to drill metal?  I'm worried about being
>able to drill stock steel--1/2  round .  Work?  Or not?

I have a Grizzly floor model and it's great. It's 14", 1/2 h.p., and cost
me about $260, now on sale till Aug. 31 for $199. The bench model is
basically the same (I believe), on sale for $159. Both are 12 speeds-250 to
3000 rpm. They seem to be a similar to the Delta, which cost about $200
more. No prob. with power. The Grizzly people are good about customer
support, and I also own a Griz. bandsaw.

To me, if you can fit it in, the floor model is worth the extra $40 if you
work on larger pieces. What's another one square foot? Bench would be
better for jewelry.

My drill press has been used for many other things other than just
drilling. Some things are; drum sanding, metal and wood turning, buffing,
wire wheel brushing and to align taps (not under power, of course).
Turning, and other methods using lateral force, tho' not recommended, works
fine. It's the most versatile, and most used, tool in my shop. To that, a
cross vise is a very useful accessory-$35.

Grizzly-1-800-523-4777

FYI, IMHO etc., after reading the rec. woodworking post about Craftsman
products, I wouldn't buy any of their power tools.

I'd rather save money on basic tools, where I don't need precision, and
spend more money on welding equipment!

--
David
http://www.flash.net/~dwwilson/
[email-masked]